# Package org.apache.catalina.loader

Interface Summary
Interface | Description
--- | ---
StandardClassLoaderMBean | Deprecated Unused.

Class Summary
Class | Description
--- | ---
Constants |
JdbcLeakPrevention | This class is loaded by the `WebappClassLoader` to enable it to deregister JDBC drivers forgotten by the web application.
ResourceEntry | Resource entry.
StandardClassLoader | Deprecated Unnecessary.
VirtualWebappLoader | A WebappLoader that allows a customized classpath to be added through configuration in context xml.
WebappClassLoader | Specialized web application class loader.
WebappClassLoader.PrivilegedGetClassLoader |
WebappLoader | Classloader implementation which is specialized for handling web applications in the most efficient way, while being Catalina aware (all accesses to resources are made through the DirContext interface).